Sparky APTus

Reklama na Linuxiarze.pl

 

Zmiany jakie zachodzą w strukturze Debiana testowego mają wpływ na wiele elementów SparkyLinux.
Po niedawnym przesunięciu „lxpolkit” do pakietu „lxsession” trzeba było dokonać kilku drobnych poprawek w pulpitach LXDE, e17 i Openbox.

Dość istotnym narzędziem, którego na chwilę obecną brakuje w repo Debiana testowego jest „update-manager” i „update-notifier”. Upadate-manager jest teraz składową cześcią „gnome-packagekit”, którego w żadnej wersji Sparka nie używam, ze względu na gnomowe zależności.

Tak więc SparkyLinux można na obecną chwilę zaktualizawać w konsoli tekstowej, lub za pomocą Synaptic.

Z tego powodu stworzyłem małą, lekką i prostą aplikację, dzięki której można zaktualizować cały system oraz oczyścić go ze zbędnych pakietów.

APTus

Sparky APTus posiada 4 opcje:

1. „Upgrade” – odświeży listę pakietów i zainstaluje wszystkie dostępne aktualizacje.

APTus

2. „Autoremove” – usunie pozostałości po aktualizacji lub odinstalowaniu innych pakietów.

3. „Autoclean” – usunie stare, niepotrzebne już paczki instalacyjne.

4. „Clean” – usunie wszystkie pobrane paczki instalacyjne z systemu.

Sparky APTus dostępny jest w oficjanych repozytoriach SparkyLinux.

Aplikację można zainstalować również w innych dystrybucjach bazujących na Debianie, lecz dodatkowo wymagany jest pakiet „sparky-remsu”.

 

Zobacz podobne

Opublikowane: 07 / 09 / 2013 ,

2 comments on “Sparky APTus
  1. Niestety w upgrademenu powinno być zamiast dist-upgrade samo upgrade, a dla dist-upgrade stworzyłbym osobne dodatkowe bardziej wymowne menu.
    Dlatego że „Upgrade” w teraźniejszej formie (dist-upgrade) zmusza do instalacji/aktulizacji zablokowane
    pakiety za pomocą –set-selections.

  2. Zainstalowałem i sprawdziłem na swoim sparky-mate i wszystko działa bardzo szybko i bezproblemowo. Programik może być przydatny i jest bardzo mały i lekki.

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

Strefa Linuxiarzy